Home

Get LedgerStateDelta objects for all transaction groups in a given round

GET
https://algo.nownodes.io/v2/deltas/{round}/txn/group

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get ledger deltas for transaction groups in a given round.

Parameters

roundinteger>= 0requiredpath

The round for which the deltas are desired.

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Response

200OK

Response containing all ledger state deltas for transaction groups, with their associated Ids, in a single round.

401Unauthorized

Invalid API Token

404Not Found

Could not find deltas for round

408Request Timeout

timed out on request

500Internal Server Error

Internal Error

501Not Implemented

Not Implemented

default

Unknown Error